OpenZWave::Value Class Reference

Base class for values associated with a node. More...

`#include <Value.h>`

Inheritance diagram for OpenZWave::Value:

## Public Member Functions

| Value (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint8 const _index, ValueID::ValueType const _type, string const &_label, string const &_units, bool const _readOnly, bool const _writeOnly, bool const _isset, uint8 const _pollIntensity)
| Value ()
virtual void | ReadXML (uint32 const _homeId, uint8 const _nodeId, uint8 const _commandClassId, TiXmlElement const *_valueElement)
virtual void | WriteXML (TiXmlElement *_valueElement)
ValueID const & | GetID () const
bool | IsReadOnly () const
bool | IsWriteOnly () const
bool | IsSet () const
bool | IsPolled () const
string const & | GetLabel () const
void | SetLabel (string const &_label)
string const & | GetUnits () const
void | SetUnits (string const &_units)
string const & | GetHelp () const
void | SetHelp (string const &_help)
uint8 const & | GetPollIntensity () const
void | SetPollIntensity (uint8 const &_intensity)
int32 | GetMin () const
int32 | GetMax () const
void | SetChangeVerified (bool _verify)
bool | GetChangeVerified ()
virtual string const | GetAsString () const
virtual bool | SetFromString (string const &)
bool | Set ()
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Static Public Member Functions

static ValueID::ValueGenre | GetGenreEnumFromName (char const *_name)
static char const * | GetGenreNameFromEnum (ValueID::ValueGenre _genre)
static ValueID::ValueType | GetTypeEnumFromName (char const *_name)
static char const * | GetTypeNameFromEnum (ValueID::ValueType _type)

## Protected Member Functions

virtual | ~Value ()
bool | IsCheckingChange () const
void | SetCheckingChange (bool _check)
void | OnValueRefreshed ()
void | OnValueChanged ()
int | VerifyRefreshedValue (void *_originalValue, void *_checkValue, void *_newValue, ValueID::ValueType _type, int _originalValueLength=0, int _checkValueLength=0, int _newValueLength=0)
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()

## Protected Attributes

int32 | m_min
int32 | m_max
time_t | m_refreshTime
bool | m_verifyChanges

## Friends

class | Driver
class | ValueStore

## Detailed Description

Base class for values associated with a node.

## Constructor & Destructor Documentation

## Value() [1/2]

Value::Value | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | ValueID::ValueGenre const | _genre,
|  | uint8 const | _commandClassId,
|  | uint8 const | _instance,
|  | uint8 const | _index,
|  | ValueID::ValueType const | _type,
|  | string const & | _label,
|  | string const & | _units,
|  | bool const | _readOnly,
|  | bool const | _writeOnly,
|  | bool const | _isset,
|  | uint8 const | _pollIntensity
| ) |  |

## Value() [2/2]

Value::Value | ( |  | ) |

## ~Value()

Value::~Value | ( |  | ) |

protected virtual

## Member Function Documentation

## GetAsString()

virtual string const OpenZWave::Value::GetAsString | ( |  | ) | const

inline virtual

Reimplemented in OpenZWave::ValueList, OpenZWave::ValueSchedule, OpenZWave::ValueDecimal, OpenZWave::ValueBool, OpenZWave::ValueButton, OpenZWave::ValueByte, OpenZWave::ValueInt, OpenZWave::ValueRaw, OpenZWave::ValueShort, and OpenZWave::ValueString.

## GetChangeVerified()

bool OpenZWave::Value::GetChangeVerified | ( |  | ) |

inline

## GetGenreEnumFromName()

ValueID::ValueGenre Value::GetGenreEnumFromName | ( | char const * | _name | ) |

static

## GetGenreNameFromEnum()

char const * Value::GetGenreNameFromEnum | ( | ValueID::ValueGenre | _genre | ) |

static

## GetHelp()

string const& OpenZWave::Value::GetHelp | ( |  | ) | const

inline

## GetID()

ValueID const& OpenZWave::Value::GetID | ( |  | ) | const

inline

## GetLabel()

string const& OpenZWave::Value::GetLabel | ( |  | ) | const

inline

## GetMax()

int32 OpenZWave::Value::GetMax | ( |  | ) | const

inline

## GetMin()

int32 OpenZWave::Value::GetMin | ( |  | ) | const

inline

## GetPollIntensity()

uint8 const& OpenZWave::Value::GetPollIntensity | ( |  | ) | const

inline

## GetTypeEnumFromName()

ValueID::ValueType Value::GetTypeEnumFromName | ( | char const * | _name | ) |

static

## GetTypeNameFromEnum()

char const * Value::GetTypeNameFromEnum | ( | ValueID::ValueType | _type | ) |

static

## GetUnits()

string const& OpenZWave::Value::GetUnits | ( |  | ) | const

inline

## IsCheckingChange()

bool OpenZWave::Value::IsCheckingChange | ( |  | ) | const

inline protected

## IsPolled()

bool OpenZWave::Value::IsPolled | ( |  | ) | const

inline

## IsReadOnly()

bool OpenZWave::Value::IsReadOnly | ( |  | ) | const

inline

## IsSet()

bool OpenZWave::Value::IsSet | ( |  | ) | const

inline

## IsWriteOnly()

bool OpenZWave::Value::IsWriteOnly | ( |  | ) | const

inline

## OnValueChanged()

void Value::OnValueChanged | ( |  | ) |

protected

## OnValueRefreshed()

void Value::OnValueRefreshed | ( |  | ) |

protected

## ReadXML()

void Value::ReadXML | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | uint8 const | _commandClassId,
|  | TiXmlElement const * | _valueElement
| ) |  |

virtual

Reimplemented in OpenZWave::ValueList, OpenZWave::ValueSchedule, OpenZWave::ValueDecimal, OpenZWave::ValueBool, OpenZWave::ValueButton, OpenZWave::ValueByte, OpenZWave::ValueInt, OpenZWave::ValueRaw, OpenZWave::ValueShort, and OpenZWave::ValueString.

## Set()

bool Value::Set | ( |  | ) |

## SetChangeVerified()

void OpenZWave::Value::SetChangeVerified | ( | bool | _verify | ) |

inline

## SetCheckingChange()

void OpenZWave::Value::SetCheckingChange | ( | bool | _check | ) |

inline protected

## SetFromString()

virtual bool OpenZWave::Value::SetFromString | ( | string const & |  | ) |

inline virtual

Reimplemented in OpenZWave::ValueList, OpenZWave::ValueDecimal, OpenZWave::ValueBool, OpenZWave::ValueByte, OpenZWave::ValueInt, OpenZWave::ValueRaw, OpenZWave::ValueShort, and OpenZWave::ValueString.

## SetHelp()

void OpenZWave::Value::SetHelp | ( | string const & | _help | ) |

inline

## SetLabel()

void OpenZWave::Value::SetLabel | ( | string const & | _label | ) |

inline

## SetPollIntensity()

void OpenZWave::Value::SetPollIntensity | ( | uint8 const & | _intensity | ) |

inline

## SetUnits()

void OpenZWave::Value::SetUnits | ( | string const & | _units | ) |

inline

## VerifyRefreshedValue()

int Value::VerifyRefreshedValue | ( | void * | _originalValue,
|  | void * | _checkValue,
|  | void * | _newValue,
|  | ValueID::ValueType | _type,
|  | int | _originalValueLength = `0`,
|  | int | _checkValueLength = `0`,
|  | int | _newValueLength = `0`
| ) |  |

protected

## WriteXML()

void Value::WriteXML | ( | TiXmlElement * | _valueElement | ) |

virtual

Reimplemented in OpenZWave::ValueList, OpenZWave::ValueSchedule, OpenZWave::ValueDecimal, OpenZWave::ValueBool, OpenZWave::ValueButton, OpenZWave::ValueByte, OpenZWave::ValueInt, OpenZWave::ValueRaw, OpenZWave::ValueShort, and OpenZWave::ValueString.

## Friends And Related Function Documentation

## Driver

friend class Driver

friend

## ValueStore

friend class ValueStore

friend

## Member Data Documentation

## m_max

int32 OpenZWave::Value::m_max

protected

## m_min

int32 OpenZWave::Value::m_min

protected

## m_refreshTime

time_t OpenZWave::Value::m_refreshTime

protected

## m_verifyChanges

bool OpenZWave::Value::m_verifyChanges

protected

The documentation for this class was generated from the following files:

- Value.h
- Value.cpp